---
title: mask-clip
slug: Web/CSS/mask-clip
tags:
  - CSS
  - CSS Masking
  - CSS Property
  - Experimental
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>mask-clip</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property determines the area which is affected by a mask. The painted content of an element must be restricted to this area.</p>

<pre class="brush:css no-line-numbers notranslate">/* &lt;geometry-box&gt; values */
mask-clip: content-box;
mask-clip: padding-box;
mask-clip: border-box;
mask-clip: margin-box;
mask-clip: fill-box;
mask-clip: stroke-box;
mask-clip: view-box;

/* Keyword values */
mask-clip: no-clip;

/* Non-standard keyword values */
-webkit-mask-clip: border;
-webkit-mask-clip: padding;
-webkit-mask-clip: content;
-webkit-mask-clip: text;

/* Multiple values */
mask-clip: padding-box, no-clip;
mask-clip: view-box, fill-box, border-box;

/* Global values */
mask-clip: inherit;
mask-clip: initial;
mask-clip: unset;
</pre>

<h2 id="Syntax">Syntax</h2>

<p>One or more of the keyword values listed below, separated by commas.</p>

<h3 id="Values">Values</h3>

<dl>
	<dt><code>content-box</code></dt>
	<dd>The painted content is clipped to the content box.</dd>
	<dt><code>padding-box</code></dt>
	<dd>The painted content is clipped to the padding box.</dd>
	<dt><code>border-box</code></dt>
	<dd>The painted content is clipped to the border box.</dd>
	<dt><code>margin-box</code></dt>
	<dd>The painted content is clipped to the margin box.</dd>
	<dt><code>fill-box</code></dt>
	<dd>The painted content is clipped to the object bounding box.</dd>
	<dt><code>stroke-box</code></dt>
	<dd>The painted content is clipped to the stroke bounding box.</dd>
	<dt><code>view-box</code></dt>
	<dd>Uses the nearest SVG viewport as reference box. If a <code><a href="/en-US/docs/Web/SVG/Attribute/viewBox">viewBox</a></code> attribute is specified for the element creating the SVG viewport, the reference box is positioned at the origin of the coordinate system established by the <code>viewBox</code> attribute and the dimension of the reference box is set to the width and height values of the <code>viewBox</code> attribute.</dd>
	<dt><code>no-clip</code></dt>
	<dd>The painted content is not clipped.</dd>
	<dt><code>border</code>{{non-standard_inline}}</dt>
	<dd>This keyword behaves the same as <code>border-box</code>.</dd>
	<dt><code>padding</code>{{non-standard_inline}}</dt>
	<dd>This keyword behaves the same as <code>padding-box</code>.</dd>
	<dt><code>content</code>{{non-standard_inline}}</dt>
	<dd>This keyword behaves the same as <code>content-box</code>.</dd>
	<dt><code>text</code>{{non-standard_inline}}</dt>
	<dd>This keyword clips the mask image to the text of the element.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Clipping_a_mask_to_the_border_box">Clipping a mask to the border box</h3>

<p>Change the <code>mask-clip</code> value to any of the allowed values detailed above. If viewing the example in a Chromium-based browser change the value of <code>-webkit-mask-clip</code>.</p>

<p>{{EmbedGHLiveSample("css-examples/masking/mask-clip.html", '100%', 800)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName("CSS Masks", "#the-mask-clip", "mask-clip")}}</td>
			<td>{{Spec2("CSS Masks")}}</td>
			<td>Initial definition</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.mask-clip")}}</p>

<h2 id="See_also">See also</h2>

<ul>
  <li><a href="https://css-tricks.com/clipping-masking-css/">Clipping and Masking in CSS</a></li>
</ul>